Module | ActiveRecord::Timestamp
In: | lib/active_record/timestamp.rb

Active Record automatically timestamps create and update operations if the table has fields named created_at/created_on or updated_at/updated_on.

Timestamping can be turned off by setting

      <tt>ActiveRecord::Base.record_timestamps = false</tt>

Timestamps are in the local timezone by default but you can use UTC by setting

      <tt>ActiveRecord::Base.default_timezone = :utc</tt>

### Methods

touch

### Public Instance methods

touch(attribute = nil)

Saves the record with the updated_at/on attributes set to the current time. If the save fails because of validation errors, an ActiveRecord::RecordInvalid exception is raised. If an attribute name is passed, that attribute is used for the touch instead of the updated_at/on attributes.

Examples:

      product.touch               # updates updated_at
      product.touch(:designed_at) # updates the designed_at attribute

[Validate]